Subject: Re: Re-add ibft tree to linux-next please

From: Len Brown <[email-masked]>
Date: Tue, 17 Jan 2012 09:08:30 -0500

> The trick is that we also have to retain the code functionality if
> "# CONFIG_ACPI is not set" to scan the memory for the iBFT. That part
> should definitly _not_ be moved to drivers/acpi. It could be moved to
> arch/x86/ .. but it could also stay in drivers/firmware. <shrugs>

Are there really hardware/firmware configurations that support IBFT
and do not support ACPI?

If yes, do they require an OS that has CONFIG_ACPI=n?
Or would finding the table with CONFIG_ACPI=y and acpi_disabled=1
be sufficient?

-Len